/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.internal.expressions.ExpressionPlugin;

import dwt.dwthelper.utils;

import org.osgi.framework.BundleContext;

import dwtx.core.runtime.Plugin;

public class ExpressionPlugin extends Plugin {
    
    private static ExpressionPlugin fgDefault;
    
    private BundleContext fBundleContext;
    
    public ExpressionPlugin() {
        fgDefault= this;
    }   

    public static ExpressionPlugin getDefault() {
        return fgDefault;
    }
    
    public static String getPluginId() {
        return "dwtx.core.expressions"; //$NON-NLS-1$
    }
    
    /**
     * {@inheritDoc}
     */
    public void start(BundleContext context) throws Exception {
        super.start(context);
        fBundleContext= context;
    }
    
    /**
     * {@inheritDoc}
     */
    public void stop(BundleContext context) throws Exception {
        super.stop(context);
    }
    
    public BundleContext getBundleContext() {
        return fBundleContext;
    }
}
