/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.internal.registry.IObjectManager;

import dwt.dwthelper.utils;

/**
 * @since 3.1 
 */
public interface IObjectManager {
    Handle getHandle(int id, byte type);

    Handle[] getHandles(int[] ids, byte type);

    Object getObject(int id, byte type);

    RegistryObject[] getObjects(int[] values, byte type);

    void close();
}
