/*******************************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.jface.databinding.swt.ISWTObservableValue;

import dwt.dwthelper.utils;

import dwtx.core.databinding.observable.value.IObservableValue;

/**
 * {@link IObservableValue} observing an DWT widget.
 * 
 * @since 1.1
 *
 */
public interface ISWTObservableValue extends ISWTObservable, IObservableValue {

}
