/*******************************************************************************
 * Copyright (c) 2003, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.osgi.framework.internal.protocol.ProtocolActivator;

import dwt.dwthelper.utils;

import org.osgi.framework.BundleContext;

import dwtx.osgi.framework.adaptor.FrameworkAdaptor;

//TODO this is non-API, and has no internal clients - do we really need it? at least explain why
public interface ProtocolActivator {

    public void start(BundleContext context, FrameworkAdaptor adaptor);

}
