/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.DirtyPerspectiveMarker;

import dwt.dwthelper.utils;

/**
 * @since 3.1
 */
public class DirtyPerspectiveMarker {
    /**
     * @param id
     */
    public DirtyPerspectiveMarker(String id) {
        perspectiveId = id;
    }

    public String perspectiveId;
    
    /* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    public int hashCode() {
        return perspectiveId.hashCode();
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    public bool equals(Object o) {
        if (o instanceof DirtyPerspectiveMarker) {
            return perspectiveId
                    .equals(((DirtyPerspectiveMarker) o).perspectiveId);
        }
        return false;
    }
}
