/*******************************************************************************
 * Copyright (c) 2004, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.IWorkbenchThemeConstants;

import dwt.dwthelper.utils;

/**
 * A source of color/font/theme data constants used throughout the workbench.
 * 
 * @since 3.0
 */
public interface IWorkbenchThemeConstants {
    public static final String TAB_TEXT_FONT = "dwtx.ui.workbench.TAB_TEXT_FONT"; //$NON-NLS-1$    

    public static final String VIEW_MESSAGE_TEXT_FONT = "dwtx.ui.workbench.VIEW_MESSAGE_TEXT_FONT"; //$NON-NLS-1$

    public static final String ACTIVE_TAB_TEXT_COLOR = "dwtx.ui.workbench.ACTIVE_TAB_TEXT_COLOR"; //$NON-NLS-1$

    public static final String ACTIVE_NOFOCUS_TAB_TEXT_COLOR = "dwtx.ui.workbench.ACTIVE_NOFOCUS_TAB_TEXT_COLOR"; //$NON-NLS-1$

    public static final String INACTIVE_TAB_TEXT_COLOR = "dwtx.ui.workbench.INACTIVE_TAB_TEXT_COLOR"; //$NON-NLS-1$

    public static final String ACTIVE_TAB_BG_START = "dwtx.ui.workbench.ACTIVE_TAB_BG_START"; //$NON-NLS-1$

    public static final String ACTIVE_TAB_BG_END = "dwtx.ui.workbench.ACTIVE_TAB_BG_END"; //$NON-NLS-1$

    public static final String ACTIVE_TAB_HIGHLIGHT = "dwtx.ui.workbench.ACTIVE_TAB_HIGHLIGHT"; //$NON-NLS-1$

    public static final String ACTIVE_TAB_HIGHLIGHT_START = "dwtx.ui.workbench.ACTIVE_TAB_HIGHLIGHT_START"; //$NON-NLS-1$

    public static final String ACTIVE_NOFOCUS_TAB_BG_START = "dwtx.ui.workbench.ACTIVE_NOFOCUS_TAB_BG_START"; //$NON-NLS-1$

    public static final String ACTIVE_NOFOCUS_TAB_BG_END = "dwtx.ui.workbench.ACTIVE_NOFOCUS_TAB_BG_END"; //$NON-NLS-1$    

    public static final String INACTIVE_TAB_BG_START = "dwtx.ui.workbench.INACTIVE_TAB_BG_START"; //$NON-NLS-1$

    public static final String INACTIVE_TAB_BG_END = "dwtx.ui.workbench.INACTIVE_TAB_BG_END"; //$NON-NLS-1$

    public static final String ACTIVE_TAB_PERCENT = "dwtx.ui.workbench.ACTIVE_TAB_PERCENT"; //$NON-NLS-1$

    public static final String ACTIVE_NOFOCUS_TAB_PERCENT = "dwtx.ui.workbench.ACTIVE_NOFOCUS_TAB_PERCENT"; //$NON-NLS-1$

    public static final String INACTIVE_TAB_PERCENT = "dwtx.ui.workbench.INACTIVE_TAB_PERCENT"; //$NON-NLS-1$

    public static final String ACTIVE_TAB_VERTICAL = "dwtx.ui.workbench.ACTIVE_TAB_VERTICAL"; //$NON-NLS-1$

    public static final String ACTIVE_NOFOCUS_TAB_VERTICAL = "dwtx.ui.workbench.ACTIVE_NOFOCUS_TAB_VERTICAL"; //$NON-NLS-1$

    public static final String INACTIVE_TAB_VERTICAL = "dwtx.ui.workbench.INACTIVE_TAB_VERTICAL"; //$NON-NLS-1$    
}
