/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.keys.KeyAssistMessages;

import dwt.dwthelper.utils;

import dwtx.osgi.util.NLS;



/**
 * The KeyAssistMessages class is the class that manages the messages
 * used in the KeyAssistDialog.
 *
 */
public class KeyAssistMessages extends NLS {
    private static final String BUNDLE_NAME = "dwtx.ui.internal.keys.KeyAssistDialog";//$NON-NLS-1$
    
    public static String NoMatches_Message;
    public static String openPreferencePage;
    
    
    static {
        // load message values from bundle file
        NLS.initializeMessages(BUNDLE_NAME, KeyAssistMessages.class);
    }
}
