/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.part.NullPersistable;

import dwt.dwthelper.utils;

import dwtx.ui.IMemento;
import dwtx.ui.IPersistable;

/**
 * @since 3.1
 */
public class NullPersistable implements IPersistable {

    /* (non-Javadoc)
     * @see dwtx.ui.internal.part.components.interfaces.IPersistable#saveState(dwtx.ui.IMemento)
     */
    public void saveState(IMemento memento) {
    }

}
