/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.ISelfUpdatingAction;

import dwt.dwthelper.utils;

import dwtx.jface.action.IAction;

/**
 * @since 3.0
 */
public interface ISelfUpdatingAction extends IAction {
    /**
     * Refreshes the action.
     */
    public void update();

    public bool shouldBeVisible();
}
