/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.SystemMenuMinimize;

import dwt.dwthelper.utils;

import dwtx.ui.internal.WorkbenchMessages;
import dwtx.ui.presentations.IStackPresentationSite;

public class SystemMenuMinimize extends SystemMenuStateChange {

    /**
     * @param site
     * @param name
     * @param state
     */
    public SystemMenuMinimize(IStackPresentationSite site) {
        super(site, WorkbenchMessages.ViewPane_minimizeView,
                IStackPresentationSite.STATE_MINIMIZED);
    }

}
