/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.defaultpresentation.EmptyTabItem;

import dwt.dwthelper.utils;


import dwt.graphics.Rectangle;
import dwtx.ui.internal.presentations.util.AbstractTabItem;
import dwtx.ui.internal.presentations.util.PartInfo;

/**
 * @since 3.1
 */
public class EmptyTabItem extends AbstractTabItem {

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#getBounds()
     */
    public Rectangle getBounds() {
        return new Rectangle(0,0,0,0);
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#setInfo(dwtx.ui.internal.presentations.util.PartInfo)
     */
    public void setInfo(PartInfo info) {

    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#dispose()
     */
    public void dispose() {

    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#getData()
     */
    public Object getData() {
        return null;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#setData(java.lang.Object)
     */
    public void setData(Object data) {

    }
}
