/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.tweaklets.AllowGrabFocus;

import dwt.dwthelper.utils;


import dwt.widgets.Display;
import dwtx.ui.IWorkbenchPart;

/**
 * @since 3.3
 * 
 */
public class AllowGrabFocus extends GrabFocus {

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.internal.tweaklets.GrabFocusManager#allowGrabFocus(dwtx.ui.IWorkbenchPart)
     */
    public bool grabFocusAllowed(IWorkbenchPart part) {
        return true;
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.internal.tweaklets.GrabFocusManager#init(Display)
     */
    public void init(Display display) {
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.tweaklets.GrabFocusManager#dispose()
     */
    public void dispose() {
    }
}
