/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.internal.content.IContentConstants;

import dwt.dwthelper.utils;

/**
 * Container for the constants used by this plugin. 
 * 
 * @since dwtx.core.contenttype 3.2
 */
public interface IContentConstants {
    /**
     * Backward compatibility: name of the original runtime plugin
     */
    public static final String RUNTIME_NAME = "dwtx.core.runtime"; //$NON-NLS-1$

    /**
     * Name of this plugin
     */
    public static final String CONTENT_NAME = "dwtx.core.contenttype"; //$NON-NLS-1$

}
