/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.jface.contentassist.SubjectControlContentAssistant;

import dwt.dwthelper.utils;

import dwtx.core.runtime.Assert;


/**
 * The standard implementation of the {@link dwtx.jface.contentassist.ISubjectControlContentAssistant} interface.
 * Usually, clients instantiate this class and configure it before using it.
 *
 * @since 3.0
 * @deprecated As of 3.2, replaced by Platform UI's field assist support * 
 */
public class SubjectControlContentAssistant extends dwtx.jface.text.contentassist.ContentAssistant implements ISubjectControlContentAssistant {

    /*
     * @see ISubjectControlContentAssistant#install(IContentAssistSubjectControl)
     */
    public void install(IContentAssistSubjectControl contentAssistSubjectControl) {
        Assert.isNotNull(contentAssistSubjectControl);
        super.install(contentAssistSubjectControl);
    }
}
