/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.dnd.AbstractDropTarget;

import dwt.dwthelper.utils;

import dwt.graphics.Cursor;
import dwt.graphics.Rectangle;

/**
 */
public abstract class AbstractDropTarget implements IDropTarget {
    /* (non-Javadoc)
     * @see dwtx.ui.internal.dnd.IDropTarget#drop()
     */
    public abstract void drop();

    /* (non-Javadoc)
     * @see dwtx.ui.internal.dnd.IDropTarget#getCursor()
     */
    public abstract Cursor getCursor();

    /* (non-Javadoc)
     * @see dwtx.ui.internal.dnd.IDropTarget#getSnapRectangle()
     */
    public Rectangle getSnapRectangle() {
        return null;
    }
}
