/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.intro.IIntroConstants;

import dwt.dwthelper.utils;

/**
 * Contains constants used by the intro implementation
 * 
 * @since 3.0
 */
public interface IIntroConstants {

    /**
     * The id of the view that is used as the intro host.
     */
    public static final String INTRO_VIEW_ID = "dwtx.ui.internal.introview"; //$NON-NLS-1$ 

}
