/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.part.IWorkbenchScopeConstants;

import dwt.dwthelper.utils;

/**
 * @since 3.1
 */
public interface IWorkbenchScopeConstants {
    public static final String PART_DELEGATOR_SCOPE = "dwtx.ui.part.delegator"; //$NON-NLS-1$
    public static final String SITE_MULTIPLEXER_SCOPE = "dwtx.ui.site.multiplexer"; //$NON-NLS-1$
    public static final String SITE_SCOPE = "dwtx.ui.site"; //$NON-NLS-1$
    public static final String PART_SCOPE = "dwtx.ui.part"; //$NON-NLS-1$
    public static final String PLUGIN_SCOPE = "dwtx.ui.components.plugin"; //$NON-NLS-1$ 
}
