/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.tweaklets.LegacyAnimations;

import dwt.dwthelper.utils;


import dwt.widgets.Shell;
import dwtx.ui.internal.LegacyAnimationFeedback;
import dwtx.ui.internal.RectangleAnimationFeedbackBase;

/**
 * Return the default (legacy) animation.
 * 
 * @since 3.3
 *
 */
public class LegacyAnimations extends Animations {
    /** Default c'tor */
    public LegacyAnimations() {}
    
    /* (non-Javadoc)
     * @see dwtx.ui.internal.tweaklets.Animations#getFeedback()
     */
    public RectangleAnimationFeedbackBase createFeedback(Shell shell) {
        return new LegacyAnimationFeedback(shell, null, null);
    }

}
